package edu.umich.popcup.android;

import android.app.Activity;
import android.opengl.GLSurfaceView;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;
import edu.umich.popcup.util.Model3D;
import edu.umich.popcup.util.Ply;

public class GLTest extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        this.requestWindowFeature(Window.FEATURE_NO_TITLE); 
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,
            WindowManager.LayoutParams.FLAG_FULLSCREEN);
        
        Ply ply = new Ply();
        //ply.readfile(getResources().openRawResource(R.raw.mouse_1));
        Model3D model = new Model3D();
        model.addPly(ply);
        Mesh mesh = new Mesh();
        mesh.setVertices(model.getVertices(0));
        mesh.setIndices(model.getIndices(0));
        mesh.setTexCoords(model.getTexCoords(0));
        mesh.setTexture(model.getTexture(0));
        
        GLSurfaceView view = new GLSurfaceView(this);
        view.setRenderer(new MeshRenderer(mesh));
        setContentView(view);
    }
}